GrailsAwareClassLoader (Grails 6.0.0)

Package: org.grails.compiler.injection

## [Java] Class GrailsAwareClassLoader

- org.grails.compiler.injection.GrailsAwareClassLoader

-     public class GrailsAwareClassLoader
      extends groovy.lang.GroovyClassLoader

  A class loader that is aware of Groovy sources and injection operations.

  Authors:
    Graeme Rocher
  Since:
    0.6

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private ClassInjector[]` | `classInjectors` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsAwareClassLoader ()`
    `GrailsAwareClassLoader (java.lang.ClassLoader loader)`
    `GrailsAwareClassLoader (groovy.lang.GroovyClassLoader parent)`
    `GrailsAwareClassLoader (java.lang.ClassLoader parent, org.codehaus.groovy.control.CompilerConfiguration config, boolean useConfigurationClasspath)`
    `GrailsAwareClassLoader (java.lang.ClassLoader loader, org.codehaus.groovy.control.CompilerConfiguration config)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected org.codehaus.groovy.control.CompilationUnit` | `createCompilationUnit(org.codehaus.groovy.control.CompilerConfiguration config, java.security.CodeSource source)` See Also: groovy.lang.GroovyClassLoader#createCompilationUnit(org.codehaus.groovy.control.CompilerConfiguration, java.security.CodeSource)
    `` | `public void` | `setClassInjectors(ClassInjector[] classInjectors)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyClassLoader` | `groovy.lang.GroovyClassLoader#addURL(java.net.URL), groovy.lang.GroovyClassLoader#clearCache(), groovy.lang.GroovyClassLoader#setResourceLoader(groovy.lang.GroovyResourceLoader), groovy.lang.GroovyClassLoader#parseClass(java.lang.String), groovy.lang.GroovyClassLoader#parseClass(java.io.Reader, java.lang.String), groovy.lang.GroovyClassLoader#parseClass(java.lang.String, java.lang.String), groovy.lang.GroovyClassLoader#parseClass(java.io.File), groovy.lang.GroovyClassLoader#parseClass(java.io.InputStream, java.lang.String), groovy.lang.GroovyClassLoader#parseClass(groovy.lang.GroovyCodeSource), groovy.lang.GroovyClassLoader#parseClass(groovy.lang.GroovyCodeSource, boolean), groovy.lang.GroovyClassLoader#addClasspath(java.lang.String), groovy.lang.GroovyClassLoader#getResourceLoader(), groovy.lang.GroovyClassLoader#hasCompatibleConfiguration(org.codehaus.groovy.control.CompilerConfiguration), groovy.lang.GroovyClassLoader#generateScriptName(), groovy.lang.GroovyClassLoader#getLoadedClasses(), groovy.lang.GroovyClassLoader#setShouldRecompile(java.lang.Boolean), groovy.lang.GroovyClassLoader#isShouldRecompile(), groovy.lang.GroovyClassLoader#loadClass(java.lang.String), groovy.lang.GroovyClassLoader#loadClass(java.lang.String, boolean, boolean, boolean), groovy.lang.GroovyClassLoader#loadClass(java.lang.String, boolean, boolean), groovy.lang.GroovyClassLoader#defineClass(java.lang.String, [B), groovy.lang.GroovyClassLoader#defineClass(org.codehaus.groovy.ast.ClassNode, java.lang.String, java.lang.String), groovy.lang.GroovyClassLoader#close(), groovy.lang.GroovyClassLoader#getURLs(), groovy.lang.GroovyClassLoader#newInstance([Ljava.net.URL;, java.lang.ClassLoader), groovy.lang.GroovyClassLoader#newInstance([Ljava.net.URL;), groovy.lang.GroovyClassLoader#getResourceAsStream(java.lang.String), groovy.lang.GroovyClassLoader#findResource(java.lang.String), groovy.lang.GroovyClassLoader#findResources(java.lang.String), groovy.lang.GroovyClassLoader#getPlatformClassLoader(), groovy.lang.GroovyClassLoader#getSystemClassLoader(), groovy.lang.GroovyClassLoader#getName(), groovy.lang.GroovyClassLoader#getResource(java.lang.String), groovy.lang.GroovyClassLoader#getSystemResourceAsStream(java.lang.String), groovy.lang.GroovyClassLoader#getSystemResource(java.lang.String), groovy.lang.GroovyClassLoader#getResources(java.lang.String), groovy.lang.GroovyClassLoader#resources(java.lang.String), groovy.lang.GroovyClassLoader#isRegisteredAsParallelCapable(), groovy.lang.GroovyClassLoader#getSystemResources(java.lang.String), groovy.lang.GroovyClassLoader#getParent(), groovy.lang.GroovyClassLoader#getUnnamedModule(), groovy.lang.GroovyClassLoader#getDefinedPackage(java.lang.String), groovy.lang.GroovyClassLoader#getDefinedPackages(), groovy.lang.GroovyClassLoader#setDefaultAssertionStatus(boolean), groovy.lang.GroovyClassLoader#setPackageAssertionStatus(java.lang.String, boolean), groovy.lang.GroovyClassLoader#setClassAssertionStatus(java.lang.String, boolean), groovy.lang.GroovyClassLoader#clearAssertionStatus(), groovy.lang.GroovyClassLoader#wait(long), groovy.lang.GroovyClassLoader#wait(long, int), groovy.lang.GroovyClassLoader#wait(), groovy.lang.GroovyClassLoader#equals(java.lang.Object), groovy.lang.GroovyClassLoader#toString(), groovy.lang.GroovyClassLoader#hashCode(), groovy.lang.GroovyClassLoader#getClass(), groovy.lang.GroovyClassLoader#notify(), groovy.lang.GroovyClassLoader#notifyAll()`

- - ### Field Detail

    - #### private ClassInjector[] classInjectors

  - ### Constructor Detail

    - #### public GrailsAwareClassLoader()

    - #### public GrailsAwareClassLoader(java.lang.ClassLoader loader)

    - #### public GrailsAwareClassLoader(groovy.lang.GroovyClassLoader parent)

    - #### public GrailsAwareClassLoader(java.lang.ClassLoader parent, org.codehaus.groovy.control.CompilerConfiguration config, boolean useConfigurationClasspath)

    - #### public GrailsAwareClassLoader(java.lang.ClassLoader loader, org.codehaus.groovy.control.CompilerConfiguration config)

  - ### Method Detail

    - #### @java.lang.Override protected org.codehaus.groovy.control.CompilationUnit createCompilationUnit(org.codehaus.groovy.control.CompilerConfiguration config, java.security.CodeSource source)

      See Also:
        groovy.lang.GroovyClassLoader#createCompilationUnit(org.codehaus.groovy.control.CompilerConfiguration, java.security.CodeSource)

    - #### public void setClassInjectors(ClassInjector[] classInjectors)